routes/web.php
<?php

use Illuminate\Support\Facades\Route;

Route::get("/clear",function(){
    Artisan::call("config:clear");
    Artisan::call("cache:clear");
    return 'Done';
});

/*---Login Credintial---*/
Route::get('admin',                 'Auth\LoginController@login');
Route::post('checkAuthentication',  'Auth\LoginController@authenticate');
Route::get('logout',                'Auth\LoginController@logout');
Route::post('reset_password',       'Auth\LoginController@resetPassword');
Route::get('reset_confirm/{email}', 'Auth\LoginController@reset_confirm');

/*---Web---*/
Route::group(['namespace' => '\App\Http\Controllers\Web'],function(){

	Route::get('/',           		  'WebController@index');
	Route::get('message_md',          'WebController@message_md');
	Route::get('message_ch',          'WebController@message_ch');
	Route::get('corporate_profile',   'WebController@corporate_profile');
	Route::get('our_mission',         'WebController@mission');
	Route::get('board_member',        'WebController@board_member');
	Route::get('key_person',          'WebController@key_person');
	Route::get('gmi_business',        'WebController@business');
	Route::get('details/{id}',        'WebController@news_details');
	Route::get('news_event',          'WebController@news_event');
	Route::get('video',               'WebController@video');
	Route::get('tvc_ovc',             'WebController@tvc_ovc');
	Route::get('photo_gallery',       'WebController@photo_gallery');
	Route::get('under_construction',  'WebController@under_construction');
	Route::get('album-images/{id}',   'WebController@albumImages')->name('album-images');
	Route::get('circuler',            'WebController@circuler');
	Route::get('why_join_us',         'WebController@why_join_us');
	Route::get('job_details/{id}',    'WebController@job_details');
	Route::get('contact_us',          'WebController@contact');
	Route::post('sendContactMail',    'WebController@sendContactMail')->name('sendContactMail');
	Route::post('sendResume',         'WebController@sendResume');

});

/*---Admin---*/
Route::group([ 'middleware' => 'checkAuthentication'], function(){

	Route::group(['namespace' => '\App\Http\Controllers\Admin'],function(){

		Route::get('/dashboard',        'AdminController@index');
		Route::get('feedback', 		    'AdminController@contactMessage');
		Route::get('manage-address',    'AdminController@officeAddress');
		Route::get('edit-address/{id}', 'AdminController@editAddress');
		Route::post('update-address',   'AdminController@updateAddress');

		Route::get('manage-slide',      	'SliderController@index');
		Route::get('add-slide',    		    'SliderController@add');
		Route::post('save-slide', 		    'SliderController@store');
		Route::get('edit-slide/{id}', 		'SliderController@edit');
		Route::post('update-slide', 		'SliderController@update');
		Route::get('delete-slide/{id}', 	'SliderController@delete');

		Route::prefix('/notices')->name('notices.')->group(function(){
			Route::get('/', 'NoticeController@index')->name('index');
			Route::get('/create', 'NoticeController@create')->name('create');
			Route::post('/store', 'NoticeController@store')->name('store');
			Route::get('edit/{id}', 'NoticeController@edit')->name('edit');
			Route::post('update/{id}', 'NoticeController@update')->name('update');
			Route::get('destroy/{id}', 'NoticeController@destroy')->name('destroy');
		});

		Route::prefix('/careers')->name('careers.')->group(function(){
			Route::get('/', 'CareerController@index')->name('index');
			Route::get('application', 'CareerController@application')->name('application');
			Route::get('/create', 'CareerController@create')->name('create');
			Route::get('/join_us', 'CareerController@join_us')->name('join_us');
			Route::post('/store', 'CareerController@store')->name('store');
			Route::get('edit/{id}', 'CareerController@edit')->name('edit');
			Route::post('update/{id}', 'CareerController@update')->name('update');
			Route::post('update_join_us/{id}', 'CareerController@update_join_us')->name('update_join_us');
			Route::get('destroy/{id}', 'CareerController@destroy')->name('destroy');
		});

		Route::prefix('/website')->name('website.')->group(function(){
			Route::get('edit/{id}', 'WebsiteInfoController@index')->name('edit');
			Route::post('update/{id}', 'WebsiteInfoController@update')->name('update');
		});

		Route::prefix('/about')->name('about.')->group(function(){
			Route::get('/', 		  'AboutController@index')->name('index');
			Route::get('edit/{id}',   'AboutController@edit')->name('edit');
			Route::post('update/{id}','AboutController@update')->name('update');
		});

		Route::prefix('/welcome')->name('welcome.')->group(function(){
			Route::get('/', 'WelcomeMessageController@index')->name('index');
			Route::get('edit/{id}', 'WelcomeMessageController@edit')->name('edit');
			Route::post('update/{id}', 'WelcomeMessageController@update')->name('update');
		});

		Route::prefix('/mission')->name('mission.')->group(function(){
			Route::get('/', 'OurMissionController@index')->name('index');
			Route::get('edit/{id}', 'OurMissionController@edit')->name('edit');
			Route::post('update/{id}', 'OurMissionController@update')->name('update');
		});

		Route::prefix('/staff')->name('staff.')->group(function(){
			Route::get('/', 'StaffController@index')->name('index');
			Route::get('/create', 'StaffController@create')->name('create');
			Route::post('/store', 'StaffController@store')->name('store');
			Route::get('edit/{id}', 'StaffController@edit')->name('edit');
			Route::post('update/{id}', 'StaffController@update')->name('update');
			Route::get('destroy/{id}', 'StaffController@destroy')->name('destroy');
		});

		Route::prefix('/business')->name('business.')->group(function(){
			Route::get('/', 'BusinessController@index')->name('index');
			Route::get('/create', 'BusinessController@create')->name('create');
			Route::post('/store', 'BusinessController@store')->name('store');
			Route::get('edit/{id}', 'BusinessController@edit')->name('edit');
			Route::post('update/{id}', 'BusinessController@update')->name('update');
			Route::get('destroy/{id}', 'BusinessController@destroy')->name('destroy');
		});

		Route::prefix('/joint')->name('joint.')->group(function(){
			Route::get('/', 'JointVenturesController@index')->name('index');
			Route::get('edit/{id}', 'JointVenturesController@edit')->name('edit');
			Route::post('update/{id}', 'JointVenturesController@update')->name('update');
		});

		Route::prefix('/videos')->name('videos.')->group(function(){
			Route::get('/', 'VideoController@index')->name('index');
			Route::get('/create', 'VideoController@create')->name('create');
			Route::post('/store', 'VideoController@store')->name('store');
			Route::get('edit/{id}', 'VideoController@edit')->name('edit');
			Route::post('update/{id}', 'VideoController@update')->name('update');
			Route::get('destroy/{id}', 'VideoController@destroy')->name('destroy');
		});

		Route::get('manage-album', 		 'AlbumController@index');
		Route::get('add-album', 		 'AlbumController@add');
		Route::post('save-album', 		 'AlbumController@store');
		Route::get('edit-album/{id}', 	 'AlbumController@edit');
		Route::post('update-album',      'AlbumController@update');
		Route::get('delete-album/{id}',  'AlbumController@delete');

		Route::get('manage-gallery', 	  'GalleryController@index');
		Route::get('add-gallery', 		  'GalleryController@add');
		Route::post('save-gallery', 	  'GalleryController@store');
		Route::get('edit-gallery/{id}',   'GalleryController@edit');
		Route::post('update-gallery',     'GalleryController@update');
		Route::get('delete-gallery/{id}', 'GalleryController@delete');

		/*---User---*/
		Route::get('manage-user',              'UserController@manageUser');
		Route::get('add-user',                 'UserController@createUser');
		Route::post('save-user',               'UserController@storeUser');
		Route::get('doUserInactive/{user_id}', 'UserController@inactiveUser');
		Route::get('doUserActive/{user_id}',   'UserController@activeUser');
		Route::get('editProfile/{user_id}',    'UserController@editUser');
		Route::post('updateUser',              'UserController@updateUser');
		Route::get('changePassword/{user_id}', 'UserController@changeUserPassword');
		Route::post('updatePassword',          'UserController@updatePassword');
		Route::get('delete-profile/{user_id}', 'UserController@delete_profile');
		Route::get('SAtoHR/{user_id}',         'UserController@SAtoHR');
		Route::get('HRtoSA/{user_id}',         'UserController@HRtoSA');

	});


});

app/Staff.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Staff extends Model
{
    //
}

app/Http/Controllers/Admin/StaffController.php
<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use DB;
use Auth;
use App\Staff;

class StaffController extends Controller
{
    public function index(){

        $data['get_all'] = Staff::get();
        return view('admin.staff.view', $data);
    }

    public function create(){
        $data['add'] = TRUE;
        return view('admin.staff.add', $data);
    }

    public function store(Request $request){

        $this->validate($request, [  
            'section_id' => 'required',               
            'name' => 'required',               
            'designation' => 'required',                 
        ]);

        try {
            $staff = new Staff;
            $staff->section_id = $request->section_id;
            $staff->name = $request->name;
            $staff->designation = $request->designation;
            $staff->created_by = Auth::id();
            if(!empty($request->file('file'))){
                $File = $request->file('file');
                $name = $File->getClientOriginalName();
                $ext = explode('.',$name);
                $finalName = 'staff-'.time().'.'.$ext[1];
                $uploadPath = 'public/staff/';
                $File->move($uploadPath, $finalName);
                $staff->file = $uploadPath.$finalName;
            }
            $staff->save();
             
            setMessage("message","success",saved_success());
            return redirect(route('staff.index'));

        }catch (\Exception $e) {
            $err_message = \Lang::get($e->getMessage());
            setMessage("message","danger",exception());
            return back();
        }
    }

    public function edit($id){
        $data['edit'] = TRUE;
        $data['single'] = Staff::findOrFail($id);
        return view('admin.staff.add', $data);
    }

    public function update(Request $request, $id){

        $this->validate($request, [  
            'section_id' => 'required',               
            'name' => 'required',               
            'designation' => 'required',                    
        ]);

        try {
            $staff = Staff::findOrFail($id);
            $staff->section_id = $request->section_id;
            $staff->name = $request->name;
            $staff->designation = $request->designation;
            $staff->updated_by = Auth::id();
            if ($request->file != null) {

                $path = $staff->file;
                if (file_exists($path) and $staff->file !=null) {
                    unlink($path);
                }
                $File = $request->file('file');
                $name = $File->getClientOriginalName();
                $ext = explode('.',$name);
                $finalName = 'staff-'.time().'.'.$ext[1];
                $uploadPath = 'public/staff/';
                $File->move($uploadPath, $finalName);
                $staff->file = $uploadPath.$finalName;
            }
            $staff->save();

            setMessage("message","success",updated_success());
            return redirect(route('staff.index'));

        }catch (\Exception $e) {
            $err_message = \Lang::get($e->getMessage());
            setMessage("message","danger",exception());
            return back();
        }
    }

    public function destroy($id){

        try {
            $staff = Staff::findOrFail($id);
            $path = $staff->file;
            if (file_exists($path) and $staff->file != null) {
                unlink($path);
            }
            $staff->delete();
            setMessage("message","success",deleted_success());
            return back();
        }catch (\Exception $e) {
            $err_message = \Lang::get($e->getMessage());
            setMessage("message","danger",exception());
            return back();
        }
    }

}

resources/views/admin/staff/add.blade.php
@extends('admin.layout.default')
@section('title')
  Add Member
@endsection
@section('content')

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <!-- Main content -->
    <section class="content">
      @isset($add)
        <div class="box box-warning">
          <div class="box-header with-border">
            <h3 class="box-title">Create New Member</h3>
            <div class="box-tools pull-right">
            </div>
          </div>
          <div class="box-body">
          <form action="{{ route('staff.store') }}" method="post" enctype="multipart/form-data" autocomplete="off">
          @csrf
            <div class="row">
              <div class="col-md-10">

                <div class="form-group">
                    <label for="Section">Section <span class="text-red">*</span></label>
                    <select class="form-control" name="section_id" required>
                      <option value="1">Board of Directors</option>
                      <option value="2">Key Management Team</option>
                    </select>
                    <span class="text-danger">{{ $errors->has('section_id') ? $errors->first('section_id') : '' }}</span>
                </div>

                <div class="form-group">
                    <label for="Name">Name <span class="text-red">*</span></label>
                    <input type="text" class="form-control" id="name" name="name" placeholder="Enter Name" value="" required>
                    <span class="text-danger">{{ $errors->has('name') ? $errors->first('name') : '' }}</span>
                </div>

                <div class="form-group">
                    <label for="Designation">Designation <span class="text-red">*</span></label>
                    <input type="text" class="form-control" id="designation" name="designation" placeholder="Enter Designation" value="" required>
                    <span class="text-danger">{{ $errors->has('designation') ? $errors->first('designation') : '' }}</span>
                </div>

                <div class="form-group">
                    <label for="address">Upload Photograph <span class="text-red">*</span></label>
                    <input type="file" id="userfile" class="form-control" name="file"  value="" required onchange="getPreview('userfile','img_preview','none');">
                    <img src="<?= asset('public/backend/img/unknown.png'); ?>" style="width:100px; margin-top:5px" id="img_preview" class="img-responsive img-thumbnail"/><br>
                    <code>(Max photo size: 400x400, 512kb)</code>
                    <span class="text-danger">{{ $errors->has('file') ? $errors->first('file') : '' }}</span>
                </div>

                <div class="form-group">
                    <label for=""></label>
                    <a href="" class="btn btn-info btn-sm btn-warning">Cancel</a>
                    <input type="submit" name="submit" class="btn btn-primary btn-sm pull-right" value="Save">
                </div>
              
              </div>
            </div>
          </form>         
          </div><!-- /.box-body -->
        </div><!-- /.box -->
      @endisset
      @isset($edit)
        <div class="box box-warning">
          <div class="box-header with-border">
            <h3 class="box-title">Update Member Info</h3>
            <div class="box-tools pull-right">
            </div>
          </div>
          <div class="box-body">
          <form action="{{ route('staff.update',$single->id) }}" name="notice" method="post" name="edit" enctype="multipart/form-data" autocomplete="off">
          @csrf
            <div class="row">
              <div class="col-md-10">

                <div class="form-group">
                    <label for="Section">Section <span class="text-red">*</span></label>
                    <select class="form-control" name="section_id" required>
                      <option value="1">Board of Directors</option>
                      <option value="2">Key Management Team</option>
                    </select>
                    <span class="text-danger">{{ $errors->has('section_id') ? $errors->first('section_id') : '' }}</span>
                </div>

                <div class="form-group">
                    <label for="regional_branch_name">Name <span class="text-red">*</span></label>
                    <input type="text" class="form-control" id="name" name="name" placeholder="Enter Name" value="{{ $single->name }}" required>
                    <span class="text-danger">{{ $errors->has('name') ? $errors->first('name') : '' }}</span>
                </div>

                <div class="form-group">
                    <label for="regional_branch_name">Designation <span class="text-red">*</span></label>
                    <input type="text" class="form-control" id="designation" name="designation" placeholder="Enter Designation" value="{{ $single->designation }}" required>
                    <span class="text-danger">{{ $errors->has('designation') ? $errors->first('designation') : '' }}</span>
                </div>

                <div class="form-group">
                    <label for="address">Update Photograph</label>
                    <input type="file" id="userfile" class="form-control" name="file"  value="" onchange="getPreview('userfile','img_preview','none');">
                    <img src="<?= (empty($single->file))? asset('public/backend/img/unknown.png') : asset($single->file) ?>" style="width:100px; margin-top:5px" id="img_preview" class="img-responsive img-thumbnail"/><br>
                    <code>(Max photo size: 400x400, 512kb)</code>
                </div>

                <div class="form-group">
                    <label for=""></label>
                    <a href="" class="btn btn-info btn-sm btn-warning">Cancel</a>
                    <input type="submit" name="submit" class="btn btn-primary btn-sm pull-right" value="Update">
                </div>

              </div>
            </div>
          </form>         
          </div><!-- /.box-body -->
        </div><!-- /.box -->

        <script type="text/javascript">
            document.forms['edit'].elements['section_id'].value='<?php echo $single->section_id ?>';
        </script>

      @endisset
    </section><!-- /.content -->
  </div><!-- /.content-wrapper -->

@endsection

resources/views/admin/staff/view.blade.php
@extends('admin.layout.default')
@section('title')
  Manage Member
@endsection
@section('content')

  <div class="content-wrapper">
    <!-- Main content -->
    <section class="content">

      <!-- Default box -->
      <div class="box">
        <div class="box-header with-border">
          <h3 class="box-title">Manage Member</h3>
          <div class="box-tools pull-right"></div>
        </div>
        <div class="box-body color-black">
              <table id="members_list_table" class="table table-bordered table-striped">
                <thead>
                  <tr>
                      <th>SN</th>
                      <th>Section</th>
                      <th>Name</th>
                      <th>Designation</th>
                      <th>Photograph</th>
                      <th>Action</th>
                  </tr>
                </thead>
                <tbody>
                  <?php if(!empty($get_all)){ 
                  	foreach ($get_all as $key => $value) { 
                  ?>
                    <tr>
                      	<td>{{ ++$key }}</td>
                        <td>{{ ($value->section_id==1)?'Board of Directors':'Key Management Team' }}</td>
                        <td>{{ $value->name }}</td>
                        <td>{{ $value->designation }}</td>
                        <td>
                          <?php if($value->file == ""){?>
                            <img height="50" width="60" src="{{ asset('public') }}/backend/img/unknown.png" />
                          <?php }else { ?>
                            <a href="{{ asset($value->file) }}" target="_blank">
                              <img height="50" width="60" src="{{ asset($value->file) }}" />
                            </a>
                          <?php } ?>
                        </td>
                      	<td>
                            <a href="{{ route('staff.edit',$value->id) }}">Edit&nbsp;<i class="fa fa-edit"></i></a> | 
                            <a href="{{ route('staff.destroy',$value->id) }}" style="color: red;" title="Delete" onclick="return confirm('Are you sure to delete this ?')" >Delete<i class="fa fa-trash-o fa-lg" style="color: red;"></i></a>
                        </td>
                    </tr>
                  <?php } } ?>
                </tbody>
              </table>        
        </div><!-- /.box-body -->
      </div><!-- /.box -->
    </section><!-- /.content -->
  </div><!-- /.content-wrapper -->

@endsection